Get YouTube video
Fetch public page content for a YouTube video URL.
POST
/
api
/
v1
/
platform
/
scrapers
/
youtube
/
video
Get YouTube video
curl --request POST \
--url https://developer.thehog.ai/api/v1/platform/scrapers/youtube/video \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"
}
'const options = {
method: 'POST',
headers: {
'X-Access-Key': '<api-key>',
'X-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({url: 'https://www.youtube.com/watch?v=dQw4w9WgXcQ'})
};
fetch('https://developer.thehog.ai/api/v1/platform/scrapers/youtube/video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/platform/scrapers/youtube/video"
payload = { "url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ" }
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"url": "<string>",
"text": "<string>",
"statusCode": 123,
"videoId": "<string>",
"title": "<string>",
"channelId": "<string>",
"channelName": "<string>",
"channelUrl": "<string>",
"description": "<string>",
"publishedAt": "<string>",
"durationSeconds": 123,
"viewCount": 123,
"likeCount": 123,
"commentCount": 123,
"thumbnailUrl": "<string>",
"transcriptText": "<string>",
"comments": [
{
"text": "<string>",
"authorName": "<string>",
"authorUrl": "<string>",
"publishedAt": "<string>",
"likeCount": 123,
"replyCount": 123
}
]
},
"meta": {
"requestId": "<string>"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Validation failed",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b",
"errors": [
{
"property": "body.query",
"message": "query must be a string",
"constraints": {
"isString": "query must be a string"
}
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Insufficient credits.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 502,
"error": "Bad Gateway",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}POST /api/v1/platform/scrapers/youtube/video
Get public YouTube video content and metadata.Retrieve public page content and available video details for a YouTube video URL.
Example
curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/youtube/video \
-H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
-H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"}'
Authorizations
The public API key from the Credentials page.
The API secret shown when the credential is created.
Body
application/json
Example:
"https://www.youtube.com/watch?v=dQw4w9WgXcQ"
⌘I
Get YouTube video
curl --request POST \
--url https://developer.thehog.ai/api/v1/platform/scrapers/youtube/video \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"
}
'const options = {
method: 'POST',
headers: {
'X-Access-Key': '<api-key>',
'X-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({url: 'https://www.youtube.com/watch?v=dQw4w9WgXcQ'})
};
fetch('https://developer.thehog.ai/api/v1/platform/scrapers/youtube/video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/platform/scrapers/youtube/video"
payload = { "url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ" }
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"url": "<string>",
"text": "<string>",
"statusCode": 123,
"videoId": "<string>",
"title": "<string>",
"channelId": "<string>",
"channelName": "<string>",
"channelUrl": "<string>",
"description": "<string>",
"publishedAt": "<string>",
"durationSeconds": 123,
"viewCount": 123,
"likeCount": 123,
"commentCount": 123,
"thumbnailUrl": "<string>",
"transcriptText": "<string>",
"comments": [
{
"text": "<string>",
"authorName": "<string>",
"authorUrl": "<string>",
"publishedAt": "<string>",
"likeCount": 123,
"replyCount": 123
}
]
},
"meta": {
"requestId": "<string>"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Validation failed",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b",
"errors": [
{
"property": "body.query",
"message": "query must be a string",
"constraints": {
"isString": "query must be a string"
}
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Insufficient credits.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 502,
"error": "Bad Gateway",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}